biterp

Listar transacoes de uma conta (extrato)

GET
/financial-transactions/account/{accountId}
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/financial-transactions/account/{accountId}"
[
  {
    "id": "string",
    "account_id": "string",
    "transfer_id": "string",
    "source": "manual",
    "fitid": "string",
    "trn_type": "string",
    "posted_at": "2019-08-24T14:15:22Z",
    "user_initiated_at": "2019-08-24T14:15:22Z",
    "amount": "-1500.000000",
    "orig_currency_code": "string",
    "orig_amount": "-1500.000000",
    "name": "string",
    "extd_name": "string",
    "memo": "string",
    "refnum": "string",
    "checknum": "string",
    "srvrtid": "string",
    "correct_fitid": "string",
    "correct_action": "REPLACE",
    "is_reconciled": true,
    "reconciled_at": "2019-08-24T14:15:22Z",
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}